h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

    .loading-progress circle {
        fill: none;
        stroke: #e0e0e0;
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: #1b6ec2;
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Loading");
    }

code {
    color: #c02d76;
}



/* ******************************************* */
/* Custom CSS */
/* ******************************************* */

body {
    background-color: var(--alloffice-cardboard-ljus);
}

/* color variables */
:root {
    --alloffice-rod: #cf3239;
    --alloffice-gra: #55565a;
    --alloffice-alt-gra-1: #898a8e;
    --alloffice-alt-gra-2: #c8c8c8;
    --alloffice-cardboard: #ddc6b1;
    --alloffice-cardboard-ljus: #f6f0eb;
    --alloffice-cardboard-mork: #875f3b;
    --alloffice-svart: #000000;
}

/* color classes */
.alloffice-rod {
    color: var(--alloffice-rod) !important;
}

.alloffice-gra {
    color: var(--alloffice-gra) !important;
}

.alloffice-alt-gra-1 {
    color: var(--alloffice-alt-gra-1) !important;
}

.alloffice-alt-gra-2 {
    color: var(--alloffice-alt-gra-2) !important;
}

.alloffice-cardboard {
    color: var(--alloffice-cardboard) !important;
}

.alloffice-cardboard-ljus {
    color: var(--alloffice-cardboard-ljus) !important;
}

.alloffice-svart {
    color: var(--alloffice-svart) !important;
}

/* background-color classes */
.alloffice-rod-background {
    background-color: var(--alloffice-rod) !important;
}

.alloffice-gra-background {
    background-color: var(--alloffice-gra) !important;
}

.alloffice-alt-gra-1-background {
    background-color: var(--alloffice-alt-gra-1) !important;
}

.alloffice-alt-gra-2-background {
    background-color: var(--alloffice-alt-gra-2) !important;
}

.alloffice-cardboard-background {
    background-color: var(--alloffice-cardboard) !important;
}

.alloffice-cardboard-ljus-background {
    background-color: var(--alloffice-cardboard-ljus) !important;
}

.alloffice-svart-background {
    background-color: var(--alloffice-svart) !important;
}

h1, h2, h3 {
    color: var(--alloffice-gra)
}

.mud-nav-link-text {
    font-size: 16px;
    /*margin-left: 6px !important;
    margin-inline-start: 6px !important;*/
}

.no-hover:hover {
    background-color: inherit !important;
    box-shadow: none !important;
}

.mud-nav-link:hover {
    /*background-color: transparent !important;*/ /* remove default hover background */
    /*color: #1976d2;*/ /* primary color or any you like */
    /*text-decoration: underline !important;*/ /* optional underline */
}

/* to make the selected nav link item in the app bar get bold text */
.mud-nav-active {
    font-weight: bold;
}

.cursor-pointer {
    cursor: pointer;
}

.card-hover {
    background-color: var(--alloffice-cardboard-ljus) !important;
    color: var(--alloffice-cardboard-mork);
    transition: background-color 0.3s ease;
    cursor: pointer;
}

    .card-hover:hover {
        background-color: var(--alloffice-cardboard) !important;
    }

/* text i snackbar ska vara Typo.body1 */
.mud-snackbar-content-message {
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
}

.mud-button-label {
    text-transform: none;
    color: var(--alloffice-gra);
}

.mud-icon-button-label {
    color: var(--alloffice-gra);
}

.mud-menu-item.mud-disabled > p {
    color: var(--alloffice-cardboard-mork) !important;
    text-transform: uppercase !important;
    font-size: 12px !important;
    font-weight: 600;
    letter-spacing: 2px;
}

/* Override breadcrumb link color */
.mud-breadcrumb-item a {
    color: var(--alloffice-alt-gra-1) !important;
    text-decoration: none;
}

.mud-tab-panel-header-text {
    text-transform: none;
    font-size: 16px;
    padding-left: 50px;
    padding-right: 50px;
}

/* HTML: <div class="loader"></div> */
.loader {
    width: 100px;
    aspect-ratio: 1;
    display: grid;
    -webkit-mask: conic-gradient(from 15deg,#0000,#000);
    animation: l26 1s infinite steps(12);
}

    .loader,
    .loader:before,
    .loader:after {
        background: radial-gradient(closest-side at 50% 12.5%, #f03355 96%,#0000) 50% 0/20% 80% repeat-y, radial-gradient(closest-side at 12.5% 50%, #f03355 96%,#0000) 0 50%/80% 20% repeat-x;
    }

        .loader:before,
        .loader:after {
            content: "";
            grid-area: 1/1;
            transform: rotate(30deg);
        }

        .loader:after {
            transform: rotate(60deg);
        }

@keyframes l26 {
    100% {
        transform: rotate(1turn)
    }
}
